Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-3576

Overview

Vulnerability Score 10.0 10.0
CVE Id CVE-2008-3576
Last Modified 07 Mar 2011 10:11:00
Published 10 Aug 2008 05:41:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2008-3576

Summary

Buffer overflow in the TruncateString function in src/gfx.cpp in OpenTTD before 0.6.2 allows remote attackers to cause a denial of service (daemon crash) or possibly execute arbitrary code via a crafted string. NOTE: some of these details are obtained from third party information.

Vulnerable Systems

Application

  • Openttd 0.6.1

  • Openttd 0.6.2-rc1

  • Openttd 0.6.2-rc2


References

XF - openttd-truncatestring-bo(44168)

VUPEN - ADV-2008-2285

BID - 30525

CONFIRM - http://www.openttd.org/index.php

CONFIRM - http://sourceforge.net/project/shownotes.php?release_id=617243

GENTOO - GLSA-200903-09

SECUNIA - 34161

SECUNIA - 31350

CONFIRM - http://bugs.gentoo.org/show_bug.cgi?id=233929


Last Updated: 27 May 2016 10:48:14